import { Component, OnInit } from '@angular/core'
import { ActivatedRoute } from '@angular/router'
import { Location } from '@angular/common'

import { Mieter } from '../mieter'
import { Forderung } from '../forderung'
import { MieterService} from '../mieter.service'
import { ForderungService} from '../forderung.service'
import { MessageService } from '../message.service'

@Component({
  selector: 'app-mieter-detail',
  templateUrl: './mieter-detail.component.html',
  styleUrls: ['./mieter-detail.component.css']
})
export class MieterDetailComponent implements OnInit {

  mieter: Mieter
  forderungen : Forderung[]


  constructor(
    private mieterService: MieterService, 
    private forderungService: ForderungService,
    private messageService: MessageService,
    private route: ActivatedRoute,
    private location: Location ) { 
  }

  async getMieter() {
    const id = +this.route.snapshot.paramMap.get('id')
    try {
      this.mieter = await this.mieterService.getMieter(id)
      this.forderungen = await this.forderungService.getForderungenByMieter(id)
    } catch (err) {
      this.messageService.add(JSON.stringify(err, undefined, 4))
    }
  }

  ngOnInit(): void {
    this.getMieter()
  }
}
